Skip to content

getCategory.v1

POST
/shopgate.catalog.getCategory.v1

This pipeline will retrieve one specific category and, if “includeChildren” is set to true, it’s child categories. If it’s set to false, the “children” property will be set to an empty array. It will also add a property “parent”, which holds the id and name of the parent category, of the retrieved one.

Media typeapplication/json
object
categoryId
required

The categoryId of the category you want to retrieve

string
includeChildren
boolean
childrenSort

If children are included, they will be sorted by this. If relevance is selected, the merchants shop system or import decides the order

string
Allowed values: nameAsc nameDesc relevance

Successful response.

Media typeapplication/json
object
category
object
id
required

The category-number or unique id inside this specific shop

string
name
required

The display-name of this category

string
productCount
required

Combined number of prodcts in the current and all subcategories

integer format: int32
imageUrl
required

The category-image

string
childrenCount

It is the number of direct sub categories

integer format: int32
parent
required

If the retrieved parent is not the root/default one, this will hold basic information about the parent category, of the retrieved one.

object
id

The id of the parent category

string
name

The name of the parent category

string
children

If includeChildren is true, this property will hold the child categories of the retrieved one

Array<object>

Describes a category

object
id
required

The category-number or unique id inside this specific shop

string
name
required

The display-name of this category

string
productCount
required

Combined number of prodcts in the current and all subcategories

integer format: int32
imageUrl
required

The category-image

string
childrenCount

It is the number of direct sub categories

integer format: int32
Example
{
"category": {
"id": "cat41",
"name": "Category 41",
"productCount": 229,
"imageUrl": "http://shopgate.cdn/category41.png",
"parent": {
"id": "cat40",
"name": "Category 40"
},
"children": [
{
"id": "cat42",
"name": "Category 42",
"productCount": 23,
"imageUrl": "http://shopgate.cdn/category42.png"
}
]
}
}

An internal error occurred.

Media typeapplication/json